Disconnect an account; its credentials are erased and open (draft / pending) actions are rejected.

DELETEhttps://api.appgoat.ai/v1/connections/{id}
FreeoperationId deleteConnection

Request

curl -X DELETE "https://api.appgoat.ai/v1/connections/123" \
  -H "x-api-key: $APPGOAT_API_KEY"

Path parameters

idstringrequired
Connection id (con_…).

Response

200 with a JSON body. See the envelope for meta.

Example
null

Status codes

200
Deleted.
Missing or invalid API key.
Not found.
Too many requests per second for your plan.